<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns="http://www.w3.org/1999/xhtml">
    <h:outputStylesheet name="css/extraction/#{css}"/>
    <p:remoteCommand name="updateTreenodes"
                     update="listAgros,#{p:component('parametersRequest')},messageSitesWarning,nextStepButton"/>

    <f:loadBundle basename="org.inra.ecoinfo.acbb.extraction.jsf.panels.siteChoiceStep" var="siteChoiceStep"/>
    <ui:param name="agros" value="#{uiBean.uiSite.availablesAgroecosystemes}"/>

    <h:panelGroup id="messageSitesWarning">
        <p:accordionPanel activeIndex="-1"
                          rendered="#{not uiBean.uiSite.siteStepIsValid and not empty agros}"
                          styleClass="help-panel selectionEmpty">
            <p:tab>
                <f:facet name="title">
                    <p class="intro-main selectionEmpty">
                        <h:outputText
                            value="#{siteChoiceStep.PARAM_MSG_WARNING}"
                            escape="false"/>
                    </p>
                </f:facet>
                <p class="intro">
                    <h:outputText
                        value="#{siteChoiceStep.PARAM_MSG_INTRO}"
                        escape="false"/>
                </p>
            </p:tab>
        </p:accordionPanel>
        <h:outputText
            value="#{siteChoiceStep.PARAM_MSG_NO_RESULT_FOR_SELECTION}"
            rendered="#{empty agros}" styleClass="selectionEmpty"/>
    </h:panelGroup>

    <h:panelGroup styleClass="panelControlsWrapper">
        <h:panelGroup styleClass="panelControls">
            <h:panelGroup styleClass="control">
                <p:commandLink process="@this,#{p:component('parametersRequest')},listAgros" styleClass="buttonStepNext"
                               action="#{uiBean.uiSite.addAllSites}"
                               oncomplete="updateTreenodes()">
                    <p:graphicImage value="#{resource['images/add.png']}"/>
                    <h:outputText value="#{siteChoiceStep.PARAM_MSG_ADD_ALL}"/>
                </p:commandLink>
            </h:panelGroup>
            <h:panelGroup styleClass="control">
                <p:commandLink process="@this,#{p:component('parametersRequest')},listAgros" styleClass="buttonStepNext"
                               action="#{uiBean.uiSite.removeAllSites}"
                               oncomplete="updateTreenodes()">
                    <p:graphicImage value="#{resource['images/remove_selection.png']}"/>
                    <h:outputText value="#{siteChoiceStep.PARAM_MSG_DELETE_ALL}"/>
                </p:commandLink>
            </h:panelGroup>
        </h:panelGroup>
    </h:panelGroup>

    <p:tree id="listAgros" var="node" styleClass="tree" value="#{agros}" selectionMode="single"
            rendered="#{not empty agros.children}">
        <p:ajax event="select" listener="#{uiBean.uiSite.selectNode}" oncomplete="updateTreenodes()" update="listAgros"/>
        <p:treeNode class="siteNode" type="agroecosysteme">
            <span class="ui-treenode-label ui-corner-all" tabindex="-1" role="treeitem">
                <p:commandLink action="node.click()">
                    <span class="ui-chkbox-icon ui-icon ui-c ui-icon #{node.state}"></span>
                </p:commandLink>
                <h:outputText value="#{node.localizedAffichage}"/>
            </span>
        </p:treeNode>
        <p:treeNode class="siteLeaf" type="site">
            <span class="ui-treenode-label ui-corner-all" tabindex="-1" role="treeitem">
                <p:commandLink action="node.click()">
                    <span class="ui-chkbox-icon ui-icon ui-c ui-icon #{node.state}"></span>
                </p:commandLink>
                <h:outputText value="#{node.localizedAffichage}"/>
            </span>
        </p:treeNode>
    </p:tree>
</html>